Subject: Re: git push default behaviour?

From: Jakub Narebski <[email-masked]>
Date: Tue, 13 Mar 2012 16:27:30 +0100

On Thu, 8 Mar 2012, Jeremy Morton wrote:
> On Thu, Mar 8, 2012 at 11:33 AM, Jakub Narebski <[email-masked]> wrote:

> > You can always configure server to refuse forced pushes.
> 
> We're using github, and as far as I'm aware, there's no way to
> configure github to do that.

It would be nice if GitHub supported setting receive.denyNonFastForward
and receive.denyDeletes (the receive.*current* do not matter for GitHub).
Though I am not sure if it would not require changes to the custom Git
implementation they use...

-- 
Jakub Narebski
Poland